For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
            • GETList Brands
            • POSTCreate Brand
            • DELDelete Brands
            • GETGet Brand
            • PUTUpdate Brand
            • DELDelete Brand
              • GETList Brand Metafields
              • POSTCreate Brand Metafield
              • GETGet Brand Metafield
              • PUTUpdate Brand Metafield
              • DELDelete Brand Metafield
        • Categories
        • Category Trees
        • Products
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogBrandsMetafields

Delete Brand Metafield

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/brands/:brand_id/metafields/:metafield_id
DELETE
/stores/:store_hash/v3/catalog/brands/:brand_id/metafields/:metafield_id
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/catalog/brands/1/metafields/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
Deletes a brand metafield.
Was this page helpful?
Previous

Update Brand Metafield

Next

Catalog - Categories

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

brand_idintegerRequired
The ID of the brand to which the resource belongs.
metafield_idintegerRequired

The ID of the Metafield.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Errors

404
Not Found Error